package Firewall::Config::Connector::Hillstone;

#------------------------------------------------------------------------------
# 加载扩展模块
#------------------------------------------------------------------------------
use Moose;
use namespace::autoclean;
use Firewall::Config::Connector::Device::Hillstone;

#------------------------------------------------------------------------------
# Hillstone telnet 函数入口
#------------------------------------------------------------------------------
sub telnet {
  my ($self, %param) = @_;
  my ($host, $user, $password) = @{param}{qw/ host user password /};
  my $conn = Firewall::Config::Connector::Device::Hillstone->new(
    host     => $host,
    username => $user,
    password => $password,
    proto    => 'telnet'
  );
  my $config = $conn->getConfig();
  if ($config->{success}) {
    return $config->{config};
  }
  else {
    confess $config->{reason};
  }
}

#------------------------------------------------------------------------------
# Hillstone ssh 函数入口
#------------------------------------------------------------------------------
sub ssh {
  my ($self, %param) = @_;
  my ($host, $user, $password) = @{param}{qw/ host user password /};
  my $conn = Firewall::Config::Connector::Device::Hillstone->new(host => $host, username => $user, password => $password,
    proto => 'ssh');
  my $config = $conn->getConfig();
  if ($config->{success}) {
    return $config->{config};
  }
  else {
    confess $config->{reason};
  }
}

__PACKAGE__->meta->make_immutable;
1;
